net.dontdrinkandroot.wicket.model.date

## Class AbstractDateCalendarModel<T>

- java.lang.Object
- - net.dontdrinkandroot.wicket.model.date.AbstractDateCalendarModel<T>

All Implemented Interfaces:
  Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<T>, org.apache.wicket.util.io.IClusterable

Direct Known Subclasses:
  DateAvailableDaysModel, DateDayModel, DateHourModel, DateMinuteModel, DateMonthModel, DateSecondModel, DateYearModel

    public abstract class AbstractDateCalendarModel<T>
    extends Object
    implements org.apache.wicket.model.IModel<T>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AbstractDateCalendarModel(org.apache.wicket.model.IModel<Date> dateModel)`

### Method Summary

Methods
`void` `detach()`
`protected abstract T` `getFromCalendar(Calendar calendar)`
`T` `getObject()`
`void` `setObject(T object)`
`protected abstract void` `setToCalendar(T object, Calendar calendar)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractDateCalendarModel

    public AbstractDateCalendarModel(org.apache.wicket.model.IModel<Date> dateModel)

### Method Detail

#### getObject

    public T getObject()

Specified by:
  `getObject` in interface `org.apache.wicket.model.IModel<T>`

#### setObject

    public void setObject(T object)

Specified by:
  `setObject` in interface `org.apache.wicket.model.IModel<T>`

#### detach

    public void detach()

Specified by:
  `detach` in interface `org.apache.wicket.model.IDetachable`

#### setToCalendar

    protected abstract void setToCalendar(T object,
                     Calendar calendar)

#### getFromCalendar

    protected abstract T getFromCalendar(Calendar calendar)